Global:
  model: PP-TSMv2-LCNetV2_16frames_uniform
  mode: check_dataset # check_dataset/train/evaluate/predict
  dataset_dir: "./dataset/k400_examples"
  device: gpu:0,1,2,3
  output: "output"

CheckDataset:
  convert: 
    enable: False
    src_dataset_type: null
  split: 
    enable: False
    train_percent: null
    val_percent: null

Train:
  num_classes: 5
  epochs_iters: 20
  batch_size: 16
  learning_rate: 0.01
  pretrain_weight_path: https://paddle-model-ecology.bj.bcebos.com/paddlex/official_pretrained_model/PP-TSMv2-LCNetV2_16frames_uniform_pretrained.pdparams
  warmup_steps: 4
  resume_path: null
  log_interval: 10
  eval_interval: 1
  save_interval: 1

Evaluate:
  weight_path: "output/best_model/best_model.pdparams"
  log_interval: 1
  batch_size: 2

Export:
  weight_path: https://paddle-model-ecology.bj.bcebos.com/paddlex/official_pretrained_model/PP-TSMv2-LCNetV2_16frames_uniform_pretrained.pdparams

Predict:
  batch_size: 1
  model_dir: "output/best_model/inference"
  input: "https://paddle-model-ecology.bj.bcebos.com/paddlex/videos/demo_video/general_video_classification_001.mp4"
  kernel_option:
    run_mode: paddle
